What is meta? ×
Meta Stack Exchange is where users like you discuss bugs, features, and support issues that affect the software powering all 122 Stack Exchange communities.

http://ajax.googleapis.com/ajax/libs/jquery/1.5.2/jquery.min.js is error 404

Well, it seems that Wget picks it up so the last statement is false and the exact message is:

Error 6 (net::ERR_FILE_NOT_FOUND): The file or directory could not be found.

and it loads in Chrome once after I clear the cache but not after.

share|improve this question
10  
I always thought this message as a missed opportunity to make a jQuery joke. "I see you are using Stack Overflow without jQuery enabled. You should totally drop that and use jQuery." –  Borror0 May 1 '11 at 11:18
4  
@Borror, indeed Balpha resisted the temptation to do something like that ;-) –  Arjan May 1 '11 at 15:52
    
Note that it's Chrome that is giving you this message; not the Google web server, nor the Stack Exchange web sites. Not sure about that net:: prefix, but maybe the message really refers to the local file system, and Chrome somehow messed up its local cache? If this is Chrome 11, then you're not alone: Does anyone have problems viewing SO in Chrome 11? –  Arjan May 1 '11 at 15:59
    
no its Chrome 12.0.712.0 (Official Build 79102) dev but clearing the cache and reloading once for each domain did fix it –  Dan D. May 1 '11 at 16:03
    
It seems to be a temporal problem. It just happened to me within 5-10min of this comment that I couldn't connect to ajax.googleapis.com. It's up right now so they were probably resetting the servers or something. –  Jeff Mercado May 2 '11 at 7:24
    
@Arjan, I don't understand what open/closed status has to do with showing up in search results. –  Pops May 2 '11 at 14:24
    
@Popular, not a lot, unless someone wants to add another answer that better fixes things? That said, I guess this very question won't be a perfect FAQ either ;-) –  Arjan May 2 '11 at 21:23
    
Happening frequently to me in last 30 minutes. I don't even see a request on the page (failed or otherwise) for any jQuery library. On the super-unlikely chance that this is related to page content, I'm seeing it on this page which happens to have a code using that same URL on it. –  Phrogz May 3 '11 at 20:20
    
> Note that it's Chrome that is giving you this message; not the Google web server, nor the Stack Exchange web sites. Um no, it is indeed SE. The sites used to work just fine and the problem only began late this week. My browser has not changed, so it is definitely SE (not to mention that Chrome does not have such a banner, and it can be sourced to the site's JS). –  Synetech Jul 23 '11 at 18:35
    
I just started getting this same message today with Safari on Mac OS X. I also tried Chrome on Mac OS X and got the same message on all SE sites. Clearing cache, refreshing pages, etc does not seem to help. –  Paul R Jan 4 '12 at 9:50
    
Turns out in my case that it was due to a phishing filter at OpenDNS - whitelisting ajax.googleapis.com in my OpenDNS settings fixed the problem. –  Paul R Jan 4 '12 at 10:46
1  
Why can't SO just host their own javascript... why are they allowing themselves to be at the mercy of the availability of some other site. This seems like a terrible design. It also discourages safe browsing practices (i.e. limiting 3rd party scripts, which are a common source of mischief) –  Gus Feb 27 '12 at 20:55
add comment

6 Answers

It seems that I had to clear the cache and refresh the page once for each domain.

share|improve this answer
3  
This tip works fine, not sure why though ? I have been having the problem with slideshare.net site not showing the slides as well. FireFox error console was showing a similar error that failed to load a script from google domain. Clearing the cache seems to take care of both the problems. –  Ramesh N Jun 1 '11 at 7:05
    
@RameshN I updated to Firefox 24.4.0 ESR, and I got this “Stack Overflow requires external JavaScript from another domain” message, too, even with all my plugins disabled, etc. I'd never gotten it before in any earlier FF versions. I cleared the cache, and it fixed everything; I'm not sure why it worked, either. –  Geremia Apr 1 at 17:49
add comment

For future reference (not for this specific case, but for future search results):

If you receive

Stack Overflow requires external JavaScript from another domain which is blocked or failed to load.

The Stack Exchange sites fetch jQuery JavaScript libraries from a Google domain. When these fail to load, the "external JavaScript" warning is shown (but only when the SE JavaScript from another domain, sstatic.net does load successfully).

So: be sure that ajax.googleapis.com is not blocked by, for example:

See also the list of external dependencies in Which browsers are officially supported? And what else do I need?

share|improve this answer
add comment

[works-for-me]

Not for me it isn't.

Are you going through a proxy?

Maybe it was a temporary glitch. Maybe a problem with load balancing in google. Can you check again?

share|improve this answer
add comment

If you are on Mac, do the following:

  1. Open a Terminal and run: sudo nano /private/etc/hosts
  2. Check for any occurrences of ajax.googleapis.com (In my case, I had 127.0.0.1 ajax.googleapis.com)
  3. Delete that line if (2) is true, and then save (ctrl+o) and exit (ctrl+x) the file.
  4. Run dscacheutil -flushcache in the Terminal.

Note: This is a solution to a possible problem. If it does not work, then try another browser to be sure your current browser is not at fault.

share|improve this answer
1  
You know you must have added that very line yourself, or have some serious malware on your Mac? –  Arjan Aug 13 '12 at 19:32
add comment

input command ipconfig /flushdns and ipconfig /registerdns in the command line with administration permit. and if you're using goagent and SwitchySharp please add a default rule stackoverflow in it.

share|improve this answer
add comment

I've just received this error on Chrome. When I try to navigate to http://ajax.googleapis.com/ajax/libs/jquery/1.5.2/jquery.min.js I receive this error page

"Panda Cloud Antivirus is blocking the download page"

I select "Continue" and then navigate successfully to "http://ajax.googleapis.com/ajax/libs/jquery/1.5.2/jquery.min.js" . The .js file then loads successfully and when I reload the stackexchange site it loads successfully.

It seems Chrome is using Panda as part of its antivirus protection... ?

share|improve this answer
add comment

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .